
module top(osc_clk_in, led0);

    input osc_clk_in;
    output led0;

    wire main_clk;

    pll u_pll(.inclk0(osc_clk_in), .c0(main_clk));

    reg [21:0] cntr = 0;

    always @(posedge main_clk) begin
        cntr <= cntr + 1;
    end

    assign led0 = cntr[21];

endmodule
